package cn.iocoder.yudao.module.llm.service.dataprocesstask;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.llm.controller.admin.dataprocesstask.vo.*;
import cn.iocoder.yudao.module.llm.dal.dataobject.dataprocesstask.DataProcessTaskDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 数据处理任务 Service 接口
 *
 * @author 华大大模型
 */
public interface DataProcessTaskService {

    /**
     * 创建数据处理任务
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDataProcessTask(@Valid DataProcessTaskSaveReqVO createReqVO);

    /**
     * 更新数据处理任务
     *
     * @param updateReqVO 更新信息
     */
    void updateDataProcessTask(@Valid DataProcessTaskSaveReqVO updateReqVO);

    /**
     * 删除数据处理任务
     *
     * @param id 编号
     */
    void deleteDataProcessTask(Long id);

    /**
     * 获得数据处理任务
     *
     * @param id 编号
     * @return 数据处理任务
     */
    DataProcessTaskDO getDataProcessTask(Long id);

    /**
     * 获得数据处理任务分页
     *
     * @param pageReqVO 分页查询
     * @return 数据处理任务分页
     */
    PageResult<DataProcessTaskDO> getDataProcessTaskPage(DataProcessTaskPageReqVO pageReqVO);

    void stopFineTuningTask(Long id);

    void reStartFineTuningTask(Long id);

    /**
     * 分页查询数据处理任务
     * @param pageReqVO
     * @return
     */
    PageResult<DataProcessTaskRespVO> getDataProcessTaskPage1(DataProcessTaskPageReqVO pageReqVO);
}